import request from '@/utils/request'

// 查询Billing列表
export function listBilling(query) {
  return request({
    url: '/Billing/billing/list',
    method: 'get',
    params: query
  })
}

// 查询Billing详细
export function getBilling(id) {
  return request({
    url: '/Billing/billing/' + id,
    method: 'get'
  })
}

// 新增Billing
export function addBilling(data) {
  return request({
    url: '/Billing/billing',
    method: 'post',
    data: data
  })
}

// 修改Billing
export function updateBilling(data) {
  return request({
    url: '/Billing/billing',
    method: 'put',
    data: data
  })
}

// 删除Billing
export function delBilling(id) {
  return request({
    url: '/Billing/billing/' + id,
    method: 'delete'
  })
}
